Bug 1497103 - file /usr/sbin/upsmon from install of nut-client-2.7.4-13.fc25.x86_64 conflicts with file from package nut-2.7.4-4.fc25.x86_64
Summary: file /usr/sbin/upsmon from install of nut-client-2.7.4-13.fc25.x86_64 conflic...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nut
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-29 08:16 UTC by Rick Richardson
Modified: 2017-12-12 10:08 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:08:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Rick Richardson 2017-09-29 08:16:08 UTC
$ root dnf update --refresh
google-talkplugin                                26 kB/s | 2.6 kB     00:00    
google-chrome                                    42 kB/s | 3.9 kB     00:00    
google-earth                                     49 kB/s | 4.7 kB     00:00    
google-musicmanager                              15 kB/s | 1.5 kB     00:00    
Adobe Systems Incorporated                       15 kB/s | 1.9 kB     00:00    
Dependencies resolved.
================================================================================
 Package            Arch           Version                Repository       Size
================================================================================
Upgrading:
 nut-client         x86_64         2.7.4-13.fc25          updates         212 k
Skipping packages with broken dependencies:
 nut                x86_64         2.7.4-13.fc25          updates         1.8 M

Transaction Summary
================================================================================
Upgrade  1 Package
Skip     1 Package

Total download size: 212 k
Is this ok [y/N]: y
Downloading Packages:
[MIRROR] nut-client-2.7.4-4.fc25_2.7.4-13.fc25.x86_64.drpm: Status code: 404 for http://mirrors.syringanetworks.net/fedora/linux/updates/25/x86_64/drpms/nut-client-2.7.4-4.fc25_2.7.4-13.fc25.x86_64.drpm
[MIRROR] nut-client-2.7.4-4.fc25_2.7.4-13.fc25.x86_64.drpm: Status code: 404 for http://mirror.cs.princeton.edu/pub/mirrors/fedora/linux/updates/25/x86_64/drpms/nut-client-2.7.4-4.fc25_2.7.4-13.fc25.x86_64.drpm
[MIRROR] nut-client-2.7.4-4.fc25_2.7.4-13.fc25.x86_64.drpm: Status code: 404 for http://ftp.linux.ncsu.edu/pub/fedora/linux/updates/25/x86_64/drpms/nut-client-2.7.4-4.fc25_2.7.4-13.fc25.x86_64.drpm
nut-client-2.7.4-4.fc25_2.7.4-13.fc25.x86_64.dr 100 kB/s | 102 kB     00:01    
[DRPM] nut-client-2.7.4-4.fc25_2.7.4-13.fc25.x86_64.drpm: done                 
--------------------------------------------------------------------------------
Total                                            68 kB/s | 102 kB     00:01     
Delta RPMs reduced 0.2 MB of updates to 0.1 MB (51.1% saved)
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/sbin/upsmon from install of nut-client-2.7.4-13.fc25.x86_64 conflicts with file from package nut-2.7.4-4.fc25.x86_64
  file /usr/sbin/upssched from install of nut-client-2.7.4-13.fc25.x86_64 conflicts with file from package nut-2.7.4-4.fc25.x86_64

Comment 1 Jan Kratochvil 2017-09-30 12:51:51 UTC
Error: Transaction check error:
  file /usr/sbin/upsmon from install of nut-2.7.4-7.fc26.x86_64 conflicts with file from package nut-client-2.7.4-14.fc26.x86_64
  file /usr/sbin/upssched from install of nut-2.7.4-7.fc26.x86_64 conflicts with file from package nut-client-2.7.4-14.fc26.x86_64

I do not see why DNF does see nut-client-2.7.4-14 in updates but only nut-2.7.4-14 there; with updates-testing it does see also nut-2.7.4-14.

Comment 2 Paul Farrow 2017-10-02 16:56:51 UTC
Same issue on Fedora 25

Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /usr/sbin/upsmon from install of nut-client-2.7.4-13.fc25.x86_64 conflicts with file from package nut-2.7.4-4.fc25.x86_64
  file /usr/sbin/upssched from install of nut-client-2.7.4-13.fc25.x86_64 conflicts with file from package nut-2.7.4-4.fc25.x86_64

Error Summary
-------------

Comment 3 Ted 2017-10-05 04:51:59 UTC
Bug 1497690

Workaround that worked for me:

`dnf update --enablerepo updates-testing nut`

Comment 4 Paul Farrow 2017-10-05 12:38:32 UTC
(In reply to Ted from comment #3)
> Bug 1497690
> 
> Workaround that worked for me:
> 
> `dnf update --enablerepo updates-testing nut`

Didn't work for me but thank you for trying to help.  This still grabbed the 2.7.4-13.fc25 version which has the conflicts.

Comment 5 Rick Richardson 2017-10-05 12:41:04 UTC
$ root dnf update --enablerepo updates-testing nut nut-client

Worked for me.

Comment 6 Paul Farrow 2017-10-05 12:44:47 UTC
(In reply to Rick Richardson from comment #5)
> $ root dnf update --enablerepo updates-testing nut nut-client
> 
> Worked for me.

Thank you Rick, that was the kitty.  I can confirm putting the nut-client at the end worked for me.  

Cheers

Paul

Comment 7 Ted 2017-10-05 22:29:44 UTC
I know what happened. I did this first which updated nut-client, but not nut.

dnf update --best --allowerasing

Then nut didn't work until I did this.

dnf update --enablerepo updates-testing nut

Comment 8 Fedora End Of Life 2017-11-16 18:36:55 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2017-12-12 10:08:46 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.